package identify

import (
	"database/sql/driver"
	"encoding/json"
)

type Rule struct {
	NvIn    []string `json:"NvIn"`
	NvNotIn []string `json:"NvNotIn"`
	OvIn    []string `json:"OvIn"`
	OvNotIn []string `json:"OvNotIn"`
}

type MultiRule []Rule

// Scan 实现方法
func (d *MultiRule) Scan(input interface{}) error {
	_ = json.Unmarshal(input.([]byte), &d)
	return nil
}

func (d MultiRule) Value() (driver.Value, error) {
	return json.Marshal(d)
}

// Scan 实现方法
func (d *Rule) Scan(input interface{}) error {
	_ = json.Unmarshal(input.([]byte), &d)
	return nil
}

func (d Rule) Value() (driver.Value, error) {
	return json.Marshal(d)
}
